<?php
session_start();
/*the if-else code below redirects a user back to the login page if the information they
put into the form doesn't match any user data in the database, and allows admin users
who put in data that matches something in the user table in the database for this 
project to continue to the secret admin page*/
if (empty($_SESSION['username'])){
    header("Location:login.php");
    exit();
}else{
    
}
?>
<html>
    <head>
        <style>
        /*Below is my css styling for this page*/
          body{
                background-color:#F5F5DC;
            }
            .center{
                display: block;
                margin-left: auto;
                margin-right: auto;
            }
            h1{
                text-align:center;
                color:#217867;
                font-family: Tahoma, sans-serif;
            }
            h2{
                text-align:center;
                color:#217867;
                font-family: Tahoma, sans-serif; 
            }
            #new_product{
                text-align:center;
                background-color:#217867;
                border: 1px solid black;
                border-radius:25px;
                box-shadow: 5px 5px #165044;
                margin-left:35%;
                margin-right:35%;
            }
            .info{
                border:none;
            }
             p{
                color:white;
                font-family: Georgia, serif;
                text-align:left;
             }
             .button{
                border-radius:50%;
                box-shadow: 2px 2px #217867;
            }
        </style>
    </head>
    <body>
    <img src="images/final_project_440_logo.png" alt="green and white logo for Snack Shack" style="width:250px;height:250px;" class="center">
        <?php
        echo "<h1>Welcome, admin ".$_SESSION['username']."!</h1>";
        ?>
        <h2>Add a new product</h2>
        <!-- The form below allows an admin users to input information on a new
        produt into a form, and then click submit so a new product can be added to
        the product table in the databse for this project.-->
        <form action="handle_admin_add_new_product.php" method="post" align="center" id="new_product">
            <fieldset class="info">
            <p>Product Name: <input type="text" name="new_product_name" size="20" maxlength="100"></p>
            <p>Product Category: <select name="new_product_category">
                <option value="Chips">Chips</option>
                <option value="Crackers">Crackers</option>
                <option value="Cookies">Cookies</option>
                <option value="Drinks">Drinks</option>
            </select></p>
            <p>Price: <input type="text" name="new_product_price" size="20" maxlength="40"></p>
            <p>Quantity: <input type="text" name="new_product_quantity" size="4" maxlength="7"></p>
            <p>Description: <textarea name="new_product_description" rows="4" cols="50"></textarea></p>
            <br>
            <input type="submit" name="submit" value="Add New Product" class="button">
            </fieldset>
        </form>
        <!-- The div section below includes buttons that allow an admin user to
        either view all products that are currently in the product table for the 
        databse for this project, or log out.-->
        <div align="center">
            <button type="button" onclick="location.href='view_all_products.php';" class="button">View All Products</button>
            <button type="button" onclick="location.href='logout.php';" class="button">Log out</button>
        </div>
    </body>
</html>